Package org.apache.lucene.analysis.hunspell

## Class EntrySuggestion

- java.lang.Object
- - org.apache.lucene.analysis.hunspell.EntrySuggestion

-     public class EntrySuggestion
      extends Object

  Suggestion to add/edit dictionary entries to generate a given list of words created by `WordFormGenerator.compress(java.util.List<java.lang.String>, java.util.Set<java.lang.String>, java.lang.Runnable)`.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<DictEntry>` | `getEntriesToAdd()` |
    `List<DictEntry>` | `getEntriesToEdit()` |
    `List<String>` | `getExtraGeneratedWords()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getEntriesToEdit

          public List<DictEntry> getEntriesToEdit()

      Returns:
        the existing dictionary entries whose flags would need changing to accommodate the given word list

    - #### getEntriesToAdd

          public List<DictEntry> getEntriesToAdd()

      Returns:
        new dictionary entries to be added to accommodate the given word list

    - #### getExtraGeneratedWords

          public List<String> getExtraGeneratedWords()

      Returns:
        additional words generated by union of `getEntriesToAdd()` and `getEntriesToEdit()` which weren't in the given list of words

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`